Python, Apache and versions

Post Reply
User avatar

Topic author
arne_v
Master
Posts: 450
Joined: Fri Apr 17, 2020 7:31 pm
Reputation: 0
Location: Rhode Island, USA
Status: Offline
Contact:

Python, Apache and versions

Post by arne_v » Thu May 30, 2024 4:11 pm

https://vmssoftware.com/products/secure-web-server/

says:
If you wish to run Python applications under CSWS using MOD_WSGI, this facility is currently only supported for Python 3.8.2F for VSI OpenVMS
Python 3.8.2F for VMS:
- what platforms are that available for?
- where is it available from?

Build of:

https://github.com/vmssoftware/python_3_8_2/tree/kit_f

????
Arne
arne@vajhoej.dk
VMS user since 1986

User avatar

mister.moderator
Site Admin
Active Contributor
Posts: 36
Joined: Thu Apr 27, 2023 11:14 am
Reputation: 0
Status: Offline

Re: Python, Apache and versions

Post by mister.moderator » Wed Jun 05, 2024 10:02 am

The Python 3.8.2F kit is available on special request at this time.
If you require it please let us know.
VMS Forum Moderator
VMS Forum Administrator

User avatar

Topic author
arne_v
Master
Posts: 450
Joined: Fri Apr 17, 2020 7:31 pm
Reputation: 0
Location: Rhode Island, USA
Status: Offline
Contact:

Re: Python, Apache and versions

Post by arne_v » Wed Jun 05, 2024 10:58 am

OK.

I don't need it.

There are other ways to runt a WSGI application.

But I was curious.

So those that:
* use a WSGI application in production
* can run on Python 3.8
* have a desire to integrate in Apache
can request the 3.8.2F kit.
Arne
arne@vajhoej.dk
VMS user since 1986

Post Reply